Robot Simulator of the Robotics Group for Self-Organization of Control: Lyapunov Class Reference

# Lyapunov Class Reference

Class for calculating lyapunov exponents online, over several time horizons, from given Jacobi matrices. More...

`#include <lyapunov.h>`

Collaboration diagram for Lyapunov:
[legend]

List of all members.

## Classes
struct | SlidingMatrix
| holds a matrix that is the result of a sliding window multiplication More...
## Public Types
typedef HashMap< int, SlidingMatrix * > | Horizons
## Public Member Functions
| Lyapunov ()
| ~Lyapunov ()
void | init (const std::list< int > &horizons, int dim)
| initializes with a set of horizons.
void | step (const matrix::Matrix &jacobi)
| provides the current Jacobi matrix.
const matrix::Matrix & | getLyapunovMatrix (int horizon)
| returns the lyapunov matrix at the given horizon
const matrix::Matrix & | getLyapunovExp (int horizon)
| returns the lyapunov exponents at the given horizon
## Protected Attributes
matrix::Matrix * | buffer
matrix::Matrix * | invbuffer
int | buffersize
long int | t
Horizons | horizons

## Detailed Description

Class for calculating lyapunov exponents online, over several time horizons, from given Jacobi matrices.

## Member Typedef Documentation

typedef HashMap< int, SlidingMatrix* > Horizons

## Constructor & Destructor Documentation

Lyapunov | ( |  | ) |

~Lyapunov | ( |  | ) |

## Member Function Documentation

const Matrix & getLyapunovExp | ( | int | horizon | ) |

returns the lyapunov exponents at the given horizon

const Matrix & getLyapunovMatrix | ( | int | horizon | ) |

returns the lyapunov matrix at the given horizon

void init | ( | const std::list< int > & | horizons,
|  | int | dim |
| ) |  |  |

initializes with a set of horizons.

Parameters:

  | horizons | for each horizon # in steps. 0 means infinite
  | dim | # of dimensions (expect a (dim x dim) matrix in step)

void step | ( | const matrix::Matrix & | jacobi | ) |

provides the current Jacobi matrix.

Internally the sliding windows and the exponents are generated

## Member Data Documentation

matrix::Matrix* buffer`[protected]`

int buffersize`[protected]`

Horizons horizons`[protected]`

matrix::Matrix* invbuffer`[protected]`

long int t`[protected]`

The documentation for this class was generated from the following files:

- lyapunov.h
- lyapunov.cpp